Loading...
Searching...
No Matches
decimal32

A 32-bit decimal floating-point value. More...

`#include <decimal.hpp>`

Inheritance diagram for decimal32:
[legend]
Collaboration diagram for decimal32:
[legend]

## Additional Inherited Members

Public Types inherited from byte_array< 4 >
typedef uint8_t | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef value_type * | iterator
typedef const value_type * | const_iterator
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef std::reverse_iterator< iterator > | reverse_iterator
typedef std::reverse_iterator< const_iterator > | const_reverse_iterator
Public Member Functions inherited from byte_array< 4 >
| byte_array ()
| Zero-initialized byte array.
value_type * | begin ()
value_type * | end ()
value_type & | operator[] (size_t i)
Static Public Member Functions inherited from byte_array< 4 >
static size_t | size ()
| Size of the array.

## Detailed Description

A 32-bit decimal floating-point value.

The documentation for this class was generated from the following file:

- proton/decimal.hpp